Skip to navigation

Get Parser Run

Retrieve the status and results of a parser run.

Use this endpoint to get results for a parser run that has already completed, or to check on the status of an asynchronous parser run initiated via the Parse File Asynchronously endpoint.

If parsing is still in progress, you’ll receive a response with just the status. Once complete, you’ll receive the full parsed content in the response.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier for the parser run.

Example: "parser_run_xK9mLPqRtN3vS8wF5hB2cQ"

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Query parameters

responseTypeenumOptional

Controls the format of the response chunks. Defaults to json if not specified.

  • json - Returns chunks with inline content
  • url - Returns chunks with presigned URLs to content instead of inline data
Allowed values:

Response

Successfully retrieved parser run
successboolean
parserRunobject
warningstringOptional
Warning message about missing API version header if applicable

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error